Bug 950230 - --os-variant=fedora19
--os-variant=fedora19
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: virt-manager (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Cole Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-04-09 17:36 EDT by Dean Hunter
Modified: 2013-06-29 14:14 EDT (History)
6 users (show)

See Also:
Fixed In Version: virt-manager-0.10.0-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-29 14:14:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dean Hunter 2013-04-09 17:36:38 EDT
Description of problem:
What --os-variant value should be used when creating a Fedora 19 VM guest on a Fedora 18 host. "fedora19" is not recognized.


Version-Release number of selected component (if applicable):
Installed Packages
python-virtinst.noarch                 0.600.3-2.fc18                  @anaconda


How reproducible:
Consistent


Steps to Reproduce:
1. virt-inst .... --os-variant=fedora19
2.
3.

  
Actual results:
Error


Expected results:
No error


Additional info:
What about rawhide?
Comment 1 Cole Robinson 2013-06-13 14:59:45 EDT
Fixed upstream, coming to F19 soon.

commit 4da8c604f87938fb3f077bfc17700caa4296ee43
Author: Cole Robinson <crobinso@redhat.com>
Date:   Thu Jun 13 14:58:59 2013 -0400

    osdict: Add Fedora 19
Comment 2 Fedora Update System 2013-06-19 19:01:20 EDT
virt-manager-0.10.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/virt-manager-0.10.0-1.fc19
Comment 3 Dean Hunter 2013-06-19 23:11:18 EDT
What about fedora20?
Comment 4 Cole Robinson 2013-06-20 10:13:55 EDT
Fedora 20 isn't even branched yet, so just use the fedora 19 label, it will be the same anyways.
Comment 5 Fedora Update System 2013-06-20 14:01:11 EDT
Package virt-manager-0.10.0-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing virt-manager-0.10.0-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-11349/virt-manager-0.10.0-1.fc19
then log in and leave karma (feedback).
Comment 6 Dean Hunter 2013-06-20 16:06:28 EDT
As noted in the Description, I am running virt-manager on Fedora 18 to create Fedora 19 VMs. How does this help me?
Comment 7 Cole Robinson 2013-06-24 11:17:15 EDT
Yes this patch needs backporting to F18 as well. But really there is no difference between specifying --os-variant fedora18 and --os-variant fedora19, so besides it being a bit confusing there is no functional difference.
Comment 8 Dean Hunter 2013-06-24 11:55:29 EDT
Please do not label this bug report as "ON_QA" when your patch does not apply to the package I am using.
Comment 9 Cole Robinson 2013-06-24 13:10:57 EDT
I see that your original report was against F18. I moved this bug to target F19 back in May but I apologize for not being explicit about it. The ON_QA bit was done automatically by bodhi when I submitted the F19 update.

Given that fedora18 is functionally equivalent to the fedora19 option, I'm not in a rush to fire off an f18 python-virtinst build to fix only that issue, not a productive use of distro user time and bandwidth. If other issues accumulate against F18 python-virtinst, I'll include that fix in the build. But this bug has been re-appropriated to Fedora 19, where the missing fedora19 option will stick out much more and is therefore higher priority to fix.
Comment 10 Dean Hunter 2013-06-24 17:13:05 EDT
If you need some more virt-manager bugs to fix with this one then you could bundle #950230, #950247 and #974157 together. They were all found building Fedora 19 guests on a Fedora 18 host.
Comment 11 Fedora Update System 2013-06-29 14:14:44 EDT
virt-manager-0.10.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.